curl -X POST 'https://api.clever.nivara.io/conversation/message' \
-H 'Content-Type: application/json' \
-d '{
"message": "My name is John Smith",
"conversation_id": "conv_123abc456def",
"language": "en"
}'
{
"conversation_id": "conv_123abc456def",
"response": "Thank you, John. Could you please provide your phone number?",
"status": "in_progress",
"customer_info": {
"name": "John Smith",
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}
API Reference
Send Message
Send a message in an existing conversation
POST
/
conversation
/
message
curl -X POST 'https://api.clever.nivara.io/conversation/message' \
-H 'Content-Type: application/json' \
-d '{
"message": "My name is John Smith",
"conversation_id": "conv_123abc456def",
"language": "en"
}'
{
"conversation_id": "conv_123abc456def",
"response": "Thank you, John. Could you please provide your phone number?",
"status": "in_progress",
"customer_info": {
"name": "John Smith",
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}
Send a message to continue an existing conversation with the Clever AI agent.
Body
Response
Updated customer information object
curl -X POST 'https://api.clever.nivara.io/conversation/message' \
-H 'Content-Type: application/json' \
-d '{
"message": "My name is John Smith",
"conversation_id": "conv_123abc456def",
"language": "en"
}'
{
"conversation_id": "conv_123abc456def",
"response": "Thank you, John. Could you please provide your phone number?",
"status": "in_progress",
"customer_info": {
"name": "John Smith",
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}